diff -Naur gcc-4.8.2.orig/gcc/ChangeLog gcc-4.8.2/gcc/ChangeLog
--- gcc-4.8.2.orig/gcc/ChangeLog	2013-10-16 09:20:05.000000000 +0200
+++ gcc-4.8.2/gcc/ChangeLog	2013-10-31 17:59:45.399821851 +0100
@@ -49,6 +49,10 @@
 	("tabort_1"): Add mode and constraint letter for operand 0.
 	* doc/extend.texi: Fix protoype of __builtin_non_tx_store.
 
+2013-10-07  Ralf Corsépius  <ralf.corsepius@rtems.org>
+
+	* config.gcc (microblaze*-rtems*): Add TARGET_BIG_ENDIAN_DEFAULT.
+
 2013-10-04  Marcus Shawcroft  <marcus.shawcroft@arm.com>
 
 	Backport from mainline.
@@ -1478,6 +1482,10 @@
 	with non-matche doffsettable memory constraint fro memory with
 	known offset.
 
+2013-05-02  Ralf Corsépius  <ralf.corsepius@rtems.org>
+
+	* config/i386/t-rtems: Remove soft-float multilib.
+
 2013-05-02  Ian Bolton  <ian.bolton@arm.com>
 
 	Backport from mainline
diff -Naur gcc-4.8.2.orig/gcc/ChangeLog.rtems gcc-4.8.2/gcc/ChangeLog.rtems
--- gcc-4.8.2.orig/gcc/ChangeLog.rtems	1970-01-01 01:00:00.000000000 +0100
+++ gcc-4.8.2/gcc/ChangeLog.rtems	2013-10-31 17:59:45.399821851 +0100
@@ -0,0 +1,31 @@
+2012-10-26  Ralf Corsépius  <ralf.corsepius@rtems.org>
+
+	* config/v850/rtems.h: Undef WCHAR_TYPE_SIZE, WCHAR_TYPE.
+
+2012-01-10	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* config/h8300/h8300.h: Apply DJ Delorie's patch from 
+	http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48231#c1.
+
+2010-04-19	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* ginclude/stddef.h: Define _MACHINE_ANSI_H_ if _X86_64_ANSI_H_ is 
+	defined (Used by amd64-*-netbsdelf5.*).
+
+2010-04-18	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* ginclude/stddef.h: Define _MACHINE_ANSI_H_ if _I386_ANSI_H_ is 
+	defined (Used by i386-*-netbsdelf5.*).
+
+2009-11-04	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* config/m32c/rtems.h, config/m68k/rtemself.h,
+	config/m68k/rtemself.h, config/sh/rtemself.h,
+	config/sparc/rtemself.h: Undef WCHAR_TYPE_SIZE, WCHAR_TYPE. 
+	(Resets WCHAR_TYPE's to defaults. Prevents broken GCC tm_files 
+	to interfere and cause wchar_t/wint_t incompatibilities).
+
+		Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* config/mips/elf.h: Remove NO_IMPLICIT_EXTERN_C.
+	
diff -Naur gcc-4.8.2.orig/gcc/config/h8300/h8300.h gcc-4.8.2/gcc/config/h8300/h8300.h
--- gcc-4.8.2.orig/gcc/config/h8300/h8300.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/h8300/h8300.h	2013-10-31 17:59:45.400821867 +0100
@@ -127,6 +127,7 @@
 #define INCOMING_FRAME_SP_OFFSET   (POINTER_SIZE / 8)
 
 #define DWARF_CIE_DATA_ALIGNMENT	2
+#define DWARF2_ADDR_SIZE		4
 
 /* Define this if addresses of constant functions
    shouldn't be put through pseudo regs where they can be cse'd.
diff -Naur gcc-4.8.2.orig/gcc/config/i386/t-rtems gcc-4.8.2/gcc/config/i386/t-rtems
--- gcc-4.8.2.orig/gcc/config/i386/t-rtems	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/i386/t-rtems	2013-10-31 17:59:45.400821867 +0100
@@ -17,11 +17,6 @@
 # <http://www.gnu.org/licenses/>.
 #
 
-MULTILIB_OPTIONS = mtune=i486/mtune=pentium/mtune=pentiumpro \
-msoft-float
-MULTILIB_DIRNAMES= m486 mpentium mpentiumpro soft-float
-MULTILIB_MATCHES = msoft-float=mno-m80387
+MULTILIB_OPTIONS = mtune=i486/mtune=pentium/mtune=pentiumpro
+MULTILIB_DIRNAMES= m486 mpentium mpentiumpro
 MULTILIB_MATCHES += mtune?pentium=mtune?k6 mtune?pentiumpro=mtune?mathlon
-MULTILIB_EXCEPTIONS = \
-mtune=pentium/*msoft-float* \
-mtune=pentiumpro/*msoft-float*
diff -Naur gcc-4.8.2.orig/gcc/config/m32c/rtems.h gcc-4.8.2/gcc/config/m32c/rtems.h
--- gcc-4.8.2.orig/gcc/config/m32c/rtems.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/m32c/rtems.h	2013-10-31 17:59:45.401821883 +0100
@@ -29,5 +29,9 @@
     }						\
   while (0)
 
-/* Use the default */
+/* Use the defaults */
 #undef LINK_GCC_C_SEQUENCE_SPEC
+
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config/m68k/rtemself.h gcc-4.8.2/gcc/config/m68k/rtemself.h
--- gcc-4.8.2.orig/gcc/config/m68k/rtemself.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/m68k/rtemself.h	2013-10-31 17:59:45.401821883 +0100
@@ -31,3 +31,8 @@
 	builtin_assert ("system=rtems");	\
     }						\
   while (0)
+
+/* Use the defaults */
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config/mips/elf.h gcc-4.8.2/gcc/config/mips/elf.h
--- gcc-4.8.2.orig/gcc/config/mips/elf.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/mips/elf.h	2013-10-31 17:59:45.401821883 +0100
@@ -46,5 +46,3 @@
 
 #undef  ENDFILE_SPEC
 #define ENDFILE_SPEC "crtend%O%s crtn%O%s"
-
-#define NO_IMPLICIT_EXTERN_C 1
diff -Naur gcc-4.8.2.orig/gcc/config/rs6000/rtems.h gcc-4.8.2/gcc/config/rs6000/rtems.h
--- gcc-4.8.2.orig/gcc/config/rs6000/rtems.h	2013-07-31 14:59:09.000000000 +0200
+++ gcc-4.8.2/gcc/config/rs6000/rtems.h	2013-10-31 17:59:45.401821883 +0100
@@ -57,3 +57,7 @@
 #undef  SUBSUBTARGET_EXTRA_SPECS
 #define SUBSUBTARGET_EXTRA_SPECS \
   { "cpp_os_rtems",		CPP_OS_RTEMS_SPEC }
+
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config/sh/rtemself.h gcc-4.8.2/gcc/config/sh/rtemself.h
--- gcc-4.8.2.orig/gcc/config/sh/rtemself.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/sh/rtemself.h	2013-10-31 17:59:45.401821883 +0100
@@ -24,3 +24,8 @@
   builtin_define( "__rtems__" );		\
   builtin_assert( "system=rtems" );		\
 } while (0)
+
+/* Use the defaults */
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config/sparc/rtemself.h gcc-4.8.2/gcc/config/sparc/rtemself.h
--- gcc-4.8.2.orig/gcc/config/sparc/rtemself.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/sparc/rtemself.h	2013-10-31 17:59:45.401821883 +0100
@@ -29,5 +29,9 @@
     }						\
   while (0)
 
-/* Use the default */
+/* Use the defaults */
 #undef LINK_GCC_C_SEQUENCE_SPEC
+
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config/v850/rtems.h gcc-4.8.2/gcc/config/v850/rtems.h
--- gcc-4.8.2.orig/gcc/config/v850/rtems.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/config/v850/rtems.h	2013-10-31 17:59:45.402821899 +0100
@@ -34,3 +34,8 @@
 %{!mv850es:%{!mv850e1:%{mv*:-mv%*}} \
 %{m8byte-align:-m8byte-align} \
 %{mgcc-abi:-mgcc-abi}}"
+
+/* Use the defaults */
+#undef WCHAR_TYPE
+
+#undef WCHAR_TYPE_SIZE
diff -Naur gcc-4.8.2.orig/gcc/config.gcc gcc-4.8.2/gcc/config.gcc
--- gcc-4.8.2.orig/gcc/config.gcc	2013-10-03 02:47:24.000000000 +0200
+++ gcc-4.8.2/gcc/config.gcc	2013-10-31 17:59:45.400821867 +0100
@@ -1761,6 +1761,7 @@
 	tmake_file="${tmake_file} microblaze/t-microblaze-linux"
 	;;
 microblaze*-*-rtems*)
+	tm_defines="${tm_defines} TARGET_BIG_ENDIAN_DEFAULT=4321"
 	tm_file="${tm_file} dbxelf.h"
 	tm_file="${tm_file} microblaze/rtems.h rtems.h newlib-stdint.h"
 	c_target_objs="${c_target_objs} microblaze-c.o"
diff -Naur gcc-4.8.2.orig/gcc/ginclude/stddef.h gcc-4.8.2/gcc/ginclude/stddef.h
--- gcc-4.8.2.orig/gcc/ginclude/stddef.h	2013-01-10 21:38:27.000000000 +0100
+++ gcc-4.8.2/gcc/ginclude/stddef.h	2013-10-31 17:59:45.402821899 +0100
@@ -50,7 +50,13 @@
    one less case to deal with in the following.  */
 #if defined (__BSD_NET2__) || defined (____386BSD____) || (defined (__FreeBSD__) && (__FreeBSD__ < 5)) || defined(__NetBSD__)
 #include <machine/ansi.h>
+#if !defined(_MACHINE_ANSI_H_)
+#if defined(_I386_ANSI_H_) || defined(_X86_64_ANSI_H_)
+#define _MACHINE_ANSI_H_
 #endif
+#endif
+#endif
+
 /* On FreeBSD 5, machine/ansi.h does not exist anymore... */
 #if defined (__FreeBSD__) && (__FreeBSD__ >= 5)
 #include <sys/_types.h>
diff -Naur gcc-4.8.2.orig/libgcc/ChangeLog gcc-4.8.2/libgcc/ChangeLog
--- gcc-4.8.2.orig/libgcc/ChangeLog	2013-10-16 09:18:32.000000000 +0200
+++ gcc-4.8.2/libgcc/ChangeLog	2013-10-31 17:59:45.403821915 +0100
@@ -2,6 +2,10 @@
 
 	* GCC 4.8.2 released.
 
+2013-10-01  Ralf Corsépius  <ralf.corsepius@rtems.org>
+
+	* config.host(microblaze*-rtems*): New.
+
 2013-08-01  Maxim Kuvyrkov  <maxim@kugelworks.com>
 
 	Backport from trunk: Fix licenses on several libgcc files.
diff -Naur gcc-4.8.2.orig/libgcc/config.host gcc-4.8.2/libgcc/config.host
--- gcc-4.8.2.orig/libgcc/config.host	2013-07-09 23:35:57.000000000 +0200
+++ gcc-4.8.2/libgcc/config.host	2013-10-31 17:59:45.403821915 +0100
@@ -718,6 +718,10 @@
 	tmake_file="${tmake_file} microblaze/t-microblaze t-fdpbit"
 	extra_parts="$extra_parts crtbeginS.o crtendS.o crtbeginT.o crti.o crtn.o"
 	;;
+microblaze*-*-rtems*)
+	tmake_file="${tmake_file} microblaze/t-microblaze t-fdpbit"
+	extra_parts="$extra_parts crtbeginS.o crtendS.o crtbeginT.o crti.o crtn.o"
+	;;
 mips*-*-netbsd*)			# NetBSD/mips, either endian.
 	;;
 mips*-*-linux*)				# Linux MIPS, either endian.
